<VirtualHost *:80>
    ServerName settings.lencraftserver.de

    DocumentRoot /var/www/datanet

    Alias /.well-known/acme-challenge/ /var/www/datanet/.well-known/acme-challenge/

    <Directory "/var/www/datanet/.well-known/acme-challenge/">
        Options None
        AllowOverride None
        Require all granted
    </Directory>

    RewriteEngine On
    RewriteCond %{REQUEST_URI} !^/.well-known/acme-challenge/
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<IfModule mod_ssl.c>
<VirtualHost *:443>
    ServerName settings.lencraftserver.de

    ErrorLog ${APACHE_LOG_DIR}/omv-error.log
    CustomLog ${APACHE_LOG_DIR}/omv-access.log combined

    ProxyPreserveHost On
    ProxyPass / http://localhost:1024/
    ProxyPassReverse / http://localhost:1024/

    SSLEngine on
    SSLCertificateFile /etc/letsencrypt/live/settings.lencraftserver.de/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/settings.lencraftserver.de/privkey.pem
</VirtualHost>
</IfModule>
